1. Menu Categories - Vendor
3enab
🏪 Vendor Application
  • 👤 User Application
  • 🏪 Vendor Application
  • 👨‍💼 Admin Application
  • 🚚 Delivery Application
  • Auth - Vendor
    • Register a new vendor user
      POST
    • Login vendor
      POST
    • Logout vendor
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Items - Vendor
    • Create a new item
      POST
    • Get all items in a category
      GET
    • Get a single item by ID
      GET
    • Update an item
      PUT
    • Delete an item
      DELETE
    • Create a variant for an item
      POST
    • Update item status
      PATCH
    • Get all variants of an item
      GET
    • Upload item image
      POST
    • Update item availability
      PATCH
    • Update item group availability
      PATCH
    • Move item to another menu category
      PATCH
    • Update item active status
      PATCH
    • Update item discount
      PATCH
    • Remove item discount
      DELETE
    • Apply discount to all vendor items
      PATCH
    • Remove discount from all vendor items
      DELETE
    • Update items order
      PATCH
  • Menu Categories - Vendor
    • Create a new menu category for a vendor
      POST
    • Get all menu categories for a vendor
      GET
    • Get a single menu category by ID
      GET
    • Update a menu category
      PUT
    • Delete a menu category
      DELETE
    • Update menu category active status
      PATCH
    • Update ordering for menu categories
      PATCH
  • Rates - Vendor
    • Get all ratings for vendor
    • Get a specific rating by ID
  • Users - Vendor
    • Get current vendor user profile
    • Update current vendor user profile
    • Delete current vendor user account
    • Change vendor user password
  • Vendor Categories - Vendor
    • Get all active vendor categories
    • Get a vendor category by ID
  • Vendors - Vendor
    • Get my vendors
    • Create a new vendor
    • Update vendor
    • Delete vendor
    • Upload vendor logo
    • Get vendor logo
    • Update vendor active status
    • Update vendor availability status
    • Create or update vendor notice
    • Upload vendor cover image
    • Delete vendor notice
    • Delete vendor cover image
    • Upload notice image
    • Update vendor preparation time
    • Delete notice image
  • Orders - Vendor
    • Get all orders for vendor
    • Get order by ID
    • Cancel order by vendor
    • Update order status
  • Versions - Vendor
    • Get the latest version for Vendor app
  1. Menu Categories - Vendor

Get all menu categories for a vendor

GET
/api/v1/vendor/vendors/{vendorId}/categories
Owner-only endpoint to retrieve all menu categories for their vendor

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Header Params

Responses

🟢200OK
application/json
Menu categories retrieved successfully
Body

Example
{
    "status": "success",
    "message": "Operation completed successfully",
    "data": {
        "menuCategories": [
            {
                "_id": "64f1a2b3c4d5e6f7890a1234",
                "name": "Burgers",
                "description": "All burger items",
                "vendor": "64f1a2b3c4d5e6f7890a5678",
                "isActive": true,
                "order": 1,
                "createdAt": "2019-08-24T14:15:22.123Z",
                "updatedAt": "2019-08-24T14:15:22.123Z"
            }
        ]
    }
}
🟠401Unauthorized
🟠404Not Found
🔴500Internal Server Error
Modified at 2026-04-08 13:49:19
Previous
Create a new menu category for a vendor
Next
Get a single menu category by ID
Built with